From 933766c1a9df4981aa99120e192d8444150c9765 Mon Sep 17 00:00:00 2001
From: Jeff King <peff@peff.net>
Date: Tue, 18 Aug 2009 02:12:44 -0400
Subject: [PATCH] tests: disable interactive hunk selection tests if perl is
 not available

These are all backed by git-add--interactive.perl under the hood.

Signed-off-by: Jeff King <peff@peff.net>
Acked-By: Thomas Rast <trast@student.ethz.ch>
Signed-off-by: Junio C Hamano <gitster@pobox.com>
---
 t/lib-patch-mode.sh | 5 +++++
 1 file changed, 5 insertions(+)

diff --git a/t/lib-patch-mode.sh b/t/lib-patch-mode.sh
index afb4b6686c..75a3ee283d 100755
--- a/t/lib-patch-mode.sh
+++ b/t/lib-patch-mode.sh
@@ -1,5 +1,10 @@
 . ./test-lib.sh
 
+if ! test_have_prereq PERL; then
+	say 'skipping --patch tests, perl not available'
+	test_done
+fi
+
 set_state () {
 	echo "$3" > "$1" &&
 	git add "$1" &&